---
hide: # Optional: Hide table of contents on simple pages
  - toc
---

# 📚 Guides: Practical Recipes for Flock

Welcome to the Flock Guides! This section provides practical, step-by-step walkthroughs for accomplishing specific tasks and implementing common patterns with Flock.

Whether you're looking to build complex workflows, integrate specific tools, or optimize your agents, these guides offer focused instructions and examples.

## Available Guides

*   **[Chaining Agents: Building Workflows with Routers](chaining-agents.md):** Learn how to connect multiple agents together using different routing strategies, from simple static handoffs to dynamic, LLM-powered decisions.
*   **[Configuring Temporal Execution](temporal-configuration.md):** Learn how to configure Temporal settings like task queues, timeouts, and retries for your workflows and agents.
*   **[Exposing Custom REST Endpoints](custom-endpoints.md):** Attach bespoke FastAPI routes to your Flock server with full OpenAPI docs.

*(More guides coming soon!)*
